module dados

use portlib
use variaveis

integer :: dos

contains

!------------------------------------------------

subroutine leitura

	dos = system('notepad dados.txt')
	open(1,file = 'dados.txt')
	read(1,*) K1
	read(1,*) K2
	read(1,*) X(1)
	read(1,*) X(2)
	read(1,*) itmax
	read(1,*) dist
	close(1)

end subroutine leitura

!------------------------------------------------

end module dados